Skip to main content
PATCH
/
v1
/
projects
/
{projectId}
/
pathway
/
edges
/
{edgeId}
更新邊
curl --request PATCH \
  --url https://api.pathors.com/v1/projects/{projectId}/pathway/edges/{edgeId} \
  --header 'Authorization: <authorization>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "source": "<string>",
  "target": "<string>",
  "condition": "<string>"
}
'
import requests

url = "https://api.pathors.com/v1/projects/{projectId}/pathway/edges/{edgeId}"

payload = {
"source": "<string>",
"target": "<string>",
"condition": "<string>"
}
headers = {
"Authorization": "<authorization>",
"Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PATCH',
headers: {Authorization: '<authorization>', 'Content-Type': 'application/json'},
body: JSON.stringify({source: '<string>', target: '<string>', condition: '<string>'})
};

fetch('https://api.pathors.com/v1/projects/{projectId}/pathway/edges/{edgeId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));



請求

PATCH https://api.pathors.com/v1/projects/{projectId}/pathway/edges/{edgeId}

路徑參數

projectId
string
required
專案 ID
edgeId
string
required
邊 ID

標頭

Authorization
string
required
使用您的 Developer Key 進行 Bearer 令牌認證

請求主體

所有欄位皆為選填。只需包含您想更新的欄位。
source
string
新的來源節點 ID
target
string
新的目標節點 ID
condition
string
更新後的轉換條件

回應

回傳完整的更新後邊。若新的來源或目標節點不存在,則回傳 400

範例

curl -X PATCH https://api.pathors.com/v1/projects/{projectId}/pathway/edges/{edgeId} \
  -H "Authorization: Bearer dk_your_key" \
  -H "Content-Type: application/json" \
  -d '{
    "condition": "User confirms booking and provides payment"
  }'